import CryptoServiceNode from "./CryptoServiceNode";
import CryptoServiceWeb from "./CryptoServiceWeb";
import { ICryptoService } from "./ICryptoService";

const service: ICryptoService =
  typeof crypto !== "undefined" && crypto.subtle
    ? new CryptoServiceWeb()
    : new CryptoServiceNode();

export default service;
